"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assert = void 0;
function AssertionError(message) {
    var error = new Error(message);
    error.name = 'AssertionError';
    return error;
}
function assert(condition, message) {
    if (!condition) {
        var error = AssertionError(message);
        console.error(error);
        throw error;
    }
}
exports.assert = assert;
//# sourceMappingURL=assert.js.map